<?php
// +----------------------------------------------------------------------+
// |zen-cart Open Source E-commerce                                       |
// +----------------------------------------------------------------------+
// | Copyright (c) 2003 The zen-cart developers                           |
// |                                                                      |
// | http://www.zen-cart.com/index.php                                    |
// |                                                                      |
// | Portions Copyright (c) 2003 osCommerce                               |
// +----------------------------------------------------------------------+
// | This source file is subject to version 2.0 of the GPL license,       |
// | that is bundled with this package in the file LICENSE, and is        |
// | available through the world-wide-web at the following url:           |
// | http://www.zen-cart.com/license/2_0.txt.                             |
// | If you did not receive a copy of the zen-cart license and are unable |
// | to obtain it through the world-wide-web, please send a note to       |
// | license@zen-cart.com so we can mail you a copy immediately.          |
// +----------------------------------------------------------------------+
// $Id: tpl_craftysyntax_sidebox.php  v1.0 07/03/2006
// Designed for Zen Cart v1.3.0
// Created by: Melissa Padilla crashboardinfo@yahoo.com
// http://www.crashboard.com

// This flag controls whether or not you pass the Zencart customer name to CSLH.
// By default the name will not be passed.
//$cs_flag = "";
$cs_flag = "true";
// Directory where Crafty Syntax Live Help is installed
$cs_dir = "http://the-comfort-zone.org.uk/livehelp";
// Department that you will be monitoring.
$cs_dept = "3";
// Pingtimes as set in Crafty Syntax.
$cs_pingtimes = "15";

if ($cs_flag){
    // If passing username then query the database to collect first and last name
    global $db;
    if (isset($_SESSION['customer_id']) && $_SESSION['customer_id']) {
        $cs_customer_id = $_SESSION['customer_id'];

        $customer_query = "select customers_firstname, customers_lastname, customers_email_address
                      from " . TABLE_CUSTOMERS . "
                         where customers_id = '" . (int)$_SESSION['customer_id'] . "'";

        $customer = $db->Execute($customer_query);

        $cs_full_name = $customer->fields['customers_firstname'] . ' ' . $customer->fields['customers_lastname'];
        // Future version - trying to pass zencart customer email address to CSLH.
        //$cs_email = $customer->fields['customers_email_address'];
    }else{
        $cs_customer_id = '';
        $cs_full_name = 'Guest';
        // Future version - trying to pass zencart customer email address to CSLH.
        //$cs_email = '';
    }
    // Build Link to Crafty Syntax here which includes the full customer name.
    $cs_link = '/' . $cs_dir . '/' . 'livehelp_js.php?department=' . $cs_dept . '&amp;pingtimes=' . $cs_pingtimes . '&amp;username=' . $cs_full_name;
}else{
    // Build Link to Crafty Syntax here - no customer name.
    $cs_link = '/' . $cs_dir . '/' . 'livehelp_js.php?department=' . $cs_dept . '&amp;pingtimes=' . $cs_pingtimes;
}

$content = "";
$content .= '<div id="' . str_replace('_', '-', $box_id . 'Content') . '" class="sideBoxContent centeredContent">';
$content .= '<script type="text/javascript" src="' . $cs_link . '"></script>';
$content .= '</div>';
?>
